from spack import *


class PyLfpykit(PythonPackage):
    """A Python package containing different electrostatic forward models for
    computing extracellular signals from multicompartment neurons
    """

    homepage = 'https://LFPykit.readthedocs.io'
    pypi = "LFPykit/LFPykit-0.4.tar.gz"
    git = 'https://github.com/LFPy/LFPykit.git'

    maintainers = ['espenhgn']

    version('0.4', sha256='ce92f5a987535ee72a76644bac90393eaa669d952f493dc388f3deb1c36f474d')

    depends_on('python@3.7:', type=('build', 'run'))
    depends_on('py-pip', type='build')
    depends_on('py-numpy', type=('build', 'run'))
    depends_on('py-scipy', type=('build', 'run'))
    depends_on('py-setuptools', type=('build', 'run'))
    depends_on('py-meautility@1.5.0', type=('build', 'run'))
    depends_on('py-pytest', type='test')
